Last Comment Bug 582579 - Enable multiple new roots from NSS 3.12.8 for EV.
: Enable multiple new roots from NSS 3.12.8 for EV.
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Kai Engert (:kaie) (on vacation)
:
: David Keeler [:keeler] (use needinfo?)
Mentors:
Depends on: 595300
Blocks: 582381
  Show dependency treegraph
 
Reported: 2010-07-28 06:24 PDT by Kai Engert (:kaie) (on vacation)
Modified: 2011-01-04 16:13 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
-
.14-fixed
.17-fixed


Attachments
Patch v1 (39.02 KB, patch)
2010-08-03 18:13 PDT, Kai Engert (:kaie) (on vacation)
no flags Details | Diff | Splinter Review
Patch v2 (2.48 KB, patch)
2010-08-03 18:18 PDT, Kai Engert (:kaie) (on vacation)
no flags Details | Diff | Splinter Review
Patch v3 (1.19 KB, patch)
2010-08-06 16:23 PDT, Kai Engert (:kaie) (on vacation)
rrelyea: review+
bugzilla: approval2.0+
christian: approval1.9.2.14+
christian: approval1.9.1.17+
Details | Diff | Splinter Review

Description Kai Engert (:kaie) (on vacation) 2010-07-28 06:24:14 PDT
Enable multiple new roots from NSS 3.12.8 for EV.

See blocker list.
Comment 1 Kai Engert (:kaie) (on vacation) 2010-08-03 18:13:25 PDT
Created attachment 462617 [details] [diff] [review]
Patch v1

Enabling the roots from the bugs listed in the dependency list.

Not yet requesting code review, pending test results from CAs.
Comment 2 Kai Engert (:kaie) (on vacation) 2010-08-03 18:15:12 PDT
Comment on attachment 462617 [details] [diff] [review]
Patch v1

(In reply to comment #1)
> Created attachment 462617 [details] [diff] [review]
> Patch v1
> 
> Enabling the roots from the bugs listed in the dependency list.
> 
> Not yet requesting code review, pending test results from CAs.

sorry, wrong bug... please ignore comment 1
Comment 3 Kai Engert (:kaie) (on vacation) 2010-08-03 18:18:03 PDT
Created attachment 462619 [details] [diff] [review]
Patch v2

Enabling the roots for EV which are listed in the bugs seens in the dependency list.

Not yet requesting review, pending positive test results (OK OCSP servers) and pending feedback from CAs.
Comment 4 Kai Engert (:kaie) (on vacation) 2010-08-06 16:14:01 PDT
Removing Izpene from dependency list, will not get included with this batch.
Comment 5 Kai Engert (:kaie) (on vacation) 2010-08-06 16:23:28 PDT
Created attachment 463706 [details] [diff] [review]
Patch v3

Bob or Honza, could you please review?
Comment 6 Kai Engert (:kaie) (on vacation) 2010-08-11 13:40:42 PDT
Comment on attachment 463706 [details] [diff] [review]
Patch v3

I'm withdrawing and postponing the review request until bug 586414 gets resolved.
Comment 7 Kai Engert (:kaie) (on vacation) 2010-08-19 10:22:21 PDT
Comment on attachment 463706 [details] [diff] [review]
Patch v3

Bug 586414 has been closed, so I'm re-requesting review for this patch.
Comment 8 Robert Relyea 2010-09-09 11:26:03 PDT
Comment on attachment 463706 [details] [diff] [review]
Patch v3

r+
Comment 9 Kai Engert (:kaie) (on vacation) 2010-09-23 12:22:00 PDT
Comment on attachment 463706 [details] [diff] [review]
Patch v3

Request to enable one new root for EV, which has been added to mozilla-2, FF 4, with the recent 3.12.8
Comment 10 Johnathan Nightingale [:johnath] 2010-10-06 09:51:20 PDT
An EV enablement like this wouldn't block release, but I'll a+ the patch momentarily for landing after the tree reopens post-b7
Comment 11 Kai Engert (:kaie) (on vacation) 2010-11-25 11:55:10 PST
Finally landed, marking fixed.
http://hg.mozilla.org/mozilla-central/rev/4e66b4cb5e3a
Comment 12 Kai Engert (:kaie) (on vacation) 2010-11-25 12:04:13 PST
Comment on attachment 463706 [details] [diff] [review]
Patch v3

Branches 1.9.1 and 1.9.2 both use NSS 3.12.8, too,
so this should land on those stable branches.

Requesting approval for 1.9.1.16 and 1.9.2.13.

If it's too late, please push request to the following release, thanks.
Comment 13 christian 2010-12-01 10:43:26 PST
Comment on attachment 463706 [details] [diff] [review]
Patch v3

a=LegNeato for 1.9.2.14 and 1.9.1.17
Comment 14 Kai Engert (:kaie) (on vacation) 2010-12-02 15:04:28 PST
thanks for the approval.

It's a trivial patch with no risk.
If someone would like to land it, please go ahead, I'd appreciate your help!
Comment 16 Al Billings [:abillings] 2011-01-04 16:13:37 PST
Verified for 1.9.1 and 1.9.2 by looking at source.

Note You need to log in before you can comment on or make changes to this bug.